fetch_character_html_data: str = "蔡徐坤鸡你太美𫮃𬺓𬙋耰𩾌𬙊𬶋𬶍𬭚𬭛陎𫵷鱲䲘鱣纕鸊鸏乾幹個豐餜餛闍淼溼擣𢷬蹵躕樐㯭艣艪"

# Test data for fetching entries with varying present information
fetch_character_info_section_data: dict[str, dict[str, bool]] = {
    "蔡": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "徐": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "坤": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "张": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": True,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "国": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": True,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "荣": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": True,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "和": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": True,
    },
    "𬇙": {
        "img_src": True,
        "pinyin": False,
        "zhuyin": False,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": False,
        "wubi": False,
        "cangjie": True,
        "zhengma": False,
        "fcorners": False,
    },
    "𫘝": {
        "img_src": True,
        "pinyin": False,
        "zhuyin": False,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": False,
        "wubi": False,
        "cangjie": False,
        "zhengma": True,
        "fcorners": False,
    },
    "𪾢": {
        "img_src": True,
        "pinyin": False,
        "zhuyin": False,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": False,
        "wubi": False,
        "cangjie": False,
        "zhengma": True,
        "fcorners": False,
    },
    "𦭜": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": True,
        "zhengma": True,
        "fcorners": False,
    },
    "𫠊": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": True,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": False,
        "wubi": False,
        "cangjie": False,
        "zhengma": False,
        "fcorners": False,
    },
    "鿍": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": False,
        "unicode": True,
        "character_structure": True,
        "stroke_order": False,
        "wubi": False,
        "cangjie": False,
        "zhengma": False,
        "fcorners": False,
    },
    "𨱇": {
        "img_src": True,
        "pinyin": False,
        "zhuyin": False,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": False,
        "zhengma": True,
        "fcorners": False,
    },
    "𣸣": {
        "img_src": True,
        "pinyin": True,
        "zhuyin": True,
        "radical": True,
        "non_radical_stroke_count": True,
        "total_stroke_count": True,
        "simple_trad": False,
        "variant_characters": True,
        "unicode": True,
        "character_structure": True,
        "stroke_order": True,
        "wubi": True,
        "cangjie": False,
        "zhengma": True,
        "fcorners": False,
    },
}

# Test data fetching for entries that have definitions
fetch_definitions_section_data_1: dict[str, dict[str, list[str]]] = {
    "鸡": {
        "jī, ㄐㄧˉ": ["家禽，品种很多，翅膀短，不能高飞；雄性能报晓，雌性能生蛋：公～。母～。～雏。"],
        "英语": ["chicken"],
        "德语": ["Huhn  (S, Bio)"],
        "法语": ["poule,coq,poulet"],
    },
    "杉": {
        "shān, ㄕㄢˉ": ["常绿乔木，树干很高很直。木材白色，质轻，有香味，可供建筑和制器具用。"],
        "shā, ㄕㄚˉ": ["义同（一）：～木。～篙。"],
        "英语": ["various species of pine and fir"],
        "德语": ["Kiefer  (S)​,Tanne  (S)​,Zeder  (S)​,Kiefer  (S)​,Tanne, Fichte  (S)​,Zeder  (S)"],
        "法语": ["sapin de Chine,Cunninghamia lanceolata"],
    },
    "佚": {
        "yì, ㄧˋ": ["同“逸”。", "放荡：淫～。～游。", "美：～女。", "姓。"],
        "dié, ㄉㄧㄝˊ": ["古同“迭”，轮流，更替。"],
        "英语": ["indulge in pleasures; flee"],
        "德语": ["faul, müßig ,Yi  (Eig, Fam)"],
        "法语": ["oisif,fainéant,omettre"],
    },
    "𨚕": {
        "biàn, ㄅㄧㄢˋ": ["邑名。", "姓。"],
    }
}

# Test data fetching for entries that have no definitions
fetch_definitions_section_data_2: dict[str, dict[str, list[str]]] = {
    "𫚭": {},
    "𬺓": {},
    "𬙋": {},
    "𬟁": {},
    "𬸘": {},
    "𫷷": {},
}

# Test data for search method
ZdicScraper_search_data: dict[str, dict[str, bool]] = fetch_character_info_section_data

# Test data for all sections
ZdicScraper_get_img_src_data: dict[str, list[str] | None] = {
    "蔡": ["//img.zdic.net/kai/cn/8521.svg"],
    "徐": ["//img.zdic.net/kai/cn/5F90.svg"],
    "坤": ["//img.zdic.net/kai/cn/5764.svg"],
    "张": ["//img.zdic.net/kai/cn/5F20.svg"],
    "国": ["//img.zdic.net/kai/cn/56FD.svg"],
    "荣": ["//img.zdic.net/kai/cn/8363.svg"],
    "和": ["//img.zdic.net/kai/cn/548C.svg"],
    "𬇙": ["//img.zdic.net/song/cn/2C1D9.svg"],
    "𫘝": ["//img.zdic.net/kai/cn/2B61D.svg"],
    "𪾢": ["//img.zdic.net/kai/cn/2AFA2.svg"],
    "𦭜": ["//img.zdic.net/kai/cn/26B5C.svg"],
    "𫠊": ["//img.zdic.net/kai/cn/2B80A.svg"],
    "鿍": ["//img.zdic.net/kai/cn/9FCD.svg"],
    "𨱇": ["//img.zdic.net/kai/cn/28C47.svg"],
    "𣸣": ["//img.zdic.net/kai/cn/23E23.svg"],
}
ZdicScraper_get_pinyin_data: dict[str, list[str] | None] = {
    "蔡": ["cài"],
    "徐": ["xú"],
    "坤": ["kūn"],
    "张": ["zhāng"],
    "国": ["guó"],
    "荣": ["róng"],
    "和": ["hé", "hè", "huó", "huò", "hú"],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": ["zhī"],
    "𫠊": ["xuán"],
    "鿍": ["gàng"],
    "𨱇": None,
    "𣸣": ["fén"],
}
ZdicScraper_get_zhuyin_data: dict[str, list[str] | None] = {
    "蔡": ["ㄘㄞˋ"],
    "徐": ["ㄒㄩˊ"],
    "坤": ["ㄎㄨㄣ"],
    "张": ["ㄓㄤ"],
    "国": ["ㄍㄨㄛˊ"],
    "荣": ["ㄖㄨㄥˊ"],
    "和": ["ㄏㄜˊ", "ㄏㄜˋ", "ㄏㄨㄛˊ", "ㄏㄨㄛˋ", "ㄏㄨˊ"],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": ["ㄗ"],
    "𫠊": ["ㄒㄧㄢˊ"],
    "鿍": ["ㄍㄤˋ"],
    "𨱇": None,
    "𣸣": ["ㄈㄣˊ"],
}
ZdicScraper_get_radical_data: dict[str, list[str] | None] = {
    "蔡": ["艹"],
    "徐": ["彳"],
    "坤": ["土"],
    "张": ["弓"],
    "国": ["囗"],
    "荣": ["艹"],
    "和": ["口"],
    "𬇙": ["氵"],
    "𫘝": ["马"],
    "𪾢": ["目"],
    "𦭜": ["艹"],
    "𫠊": ["马"],
    "鿍": ["土"],
    "𨱇": ["钅"],
    "𣸣": ["氵"],
}
ZdicScraper_get_non_radical_stroke_count: dict[str, list[int] | None] = {
    "蔡": [11],
    "徐": [7],
    "坤": [5],
    "张": [4],
    "国": [5],
    "荣": [6],
    "和": [5],
    "𬇙": [4],
    "𫘝": [4],
    "𪾢": [4],
    "𦭜": [5],
    "𫠊": [5],
    "鿍": [6],
    "𨱇": [7],
    "𣸣": [9],
}
ZdicScraper_get_total_stroke_count: dict[str, list[int] | None] = {
    "蔡": [14],
    "徐": [10],
    "坤": [8],
    "张": [7],
    "国": [8],
    "荣": [9],
    "和": [8],
    "𬇙": [7],
    "𫘝": [7],
    "𪾢": [9],
    "𦭜": [8],
    "𫠊": [8],
    "鿍": [9],
    "𨱇": [12],
    "𣸣": [12],
}
ZdicScraper_get_simple_trad_data: dict[str, list[str] | None] = {
    "蔡": None,
    "徐": None,
    "坤": None,
    "张": ["張"],
    "国": ["國"],
    "荣": ["榮"],
    "和": None,
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": None,
    "𫠊": ["䮄"],
    "鿍": None,
    "𨱇": None,
    "𣸣": None,
}
ZdicScraper_variant_characters_data: dict[str, list[str] | None] = {
    "蔡": ["𣞖"],
    "徐": ["俆", "𨑦"],
    "坤": ["堃", "𠔜", "𠔧", "𡘩", "𡿦", "𡿭"],
    "张": ["張"],
    "国": ["國", "囯", "囶", "囻", "圀", "㕵", "䆐", "𠰧", "𡆻", "𡆿", "𡇅", "𡇎", "𡇏", "𡇕", "𡈑", "𢦾", "𢧌", "𢧜", "𤦂"],
    "荣": ["榮", "栄"],
    "和": ["咊", "咼", "惒", "盉", "訸", "鉌", "龢", "𤧗", "𥤉", "𧇮", "㕿", "𠰓"],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": None,
    "𫠊": None,
    "鿍": None,
    "𨱇": ["銶"],
    "𣸣": ["濆"],
}
ZdicScraper_get_unicode_data: dict[str, list[str] | None] = {
    "蔡": ["基本区 U+8521"],
    "徐": ["基本区 U+5F90"],
    "坤": ["基本区 U+5764"],
    "张": ["基本区 U+5F20"],
    "国": ["基本区 U+56FD"],
    "荣": ["基本区 U+8363"],
    "和": ["基本区 U+548C"],
    "𬇙": ["扩展E U+2C1D9"],
    "𫘝": ["扩展C U+2B61D"],
    "𪾢": ["扩展C U+2AFA2"],
    "𦭜": ["扩展B U+26B5C"],
    "𫠊": ["扩展D U+2B80A"],
    "鿍": ["基本区 U+9FCD"],
    "𨱇": ["扩展B U+28C47"],
    "𣸣": ["扩展B U+23E23"],
}
ZdicScraper_get_character_structure_data: dict[str, list[str] | None] = {
    "蔡": ["上下结构"],
    "徐": ["左右结构"],
    "坤": ["左右结构"],
    "张": ["左右结构"],
    "国": ["全包围结构"],
    "荣": ["上下结构"],
    "和": ["左右结构"],
    "𬇙": ["左右结构"],
    "𫘝": ["左右结构"],
    "𪾢": ["左右结构"],
    "𦭜": ["上下结构"],
    "𫠊": ["左右结构"],
    "鿍": ["左右结构"],
    "𨱇": ["左右结构"],
    "𣸣": ["左右结构"],
}
ZdicScraper_get_stroke_order_data: dict[str, list[int] | None] = {
    "蔡": [12235445411234],
    "徐": [3323411234],
    "坤": [12125112],
    "张": [5153154],
    "国": [25112141],
    "荣": [122451234],
    "和": [31234251],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": [121225134],
    "𫠊": None,
    "鿍": None,
    "𨱇": [311151241344],
    "𣸣": [441121222534],
}
ZdicScraper_get_wubi_data: dict[str, list[str] | None] = {
    "蔡": ["awfi"],
    "徐": ["twty|twgs"],
    "坤": ["fjhh"],
    "张": ["xtay"],
    "国": ["lgyi"],
    "荣": ["apsu"],
    "和": ["tkg"],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": ["akwu"],
    "𫠊": None,
    "鿍": None,
    "𨱇": ["qfiy"],
    "𣸣": ["ifam"],
}
ZdicScraper_get_cangjie_data: dict[str, list[str] | None] = {
    "蔡": ["tbof"],
    "徐": ["hoomd"],
    "坤": ["glwl"],
    "张": ["npo"],
    "国": ["wmgi"],
    "荣": ["tbd"],
    "和": ["hdr"],
    "𬇙": ["ebo"],
    "𫘝": None,
    "𪾢": None,
    "𦭜": ["trc"],
    "𫠊": None,
    "鿍": None,
    "𨱇": None,
    "𣸣": None,
}
ZdicScraper_get_zhengma_data: dict[str, list[str] | None] = {
    "蔡": ["erbk"],
    "徐": ["oiom"],
    "坤": ["bkic"],
    "张": ["yzch"],
    "国": ["jdcs"],
    "荣": ["ewf"],
    "和": ["mfj"],
    "𬇙": None,
    "𫘝": ["oxcl"],
    "𪾢": ["typs"],
    "𦭜": ["ejo"],
    "𫠊": None,
    "鿍": None,
    "𨱇": ["pdvs"],
    "𣸣": ["veel"],
}
ZdicScraper_get_fcorners_data: dict[str, list[int] | None] = {
    "蔡": [44901],
    "徐": [28294],
    "坤": [45106],
    "张": [12234],
    "国": [60103],
    "荣": [44904],
    "和": [26900],
    "𬇙": None,
    "𫘝": None,
    "𪾢": None,
    "𦭜": None,
    "𫠊": None,
    "鿍": None,
    "𨱇": None,
    "𣸣": None,
}

ZdicScraper_get_simple_defs_data: dict[str, dict[str, list[str]]] = {
    **fetch_definitions_section_data_1,
    **fetch_definitions_section_data_2
}
